Jump to: navigation, search

Difference between revisions of "Visual Editor Project"

(Release History)
(Release History)
Line 22: Line 22:
  
 
== Release History ==
 
== Release History ==
 
+
* [http://download.eclipse.org/tools/ve/downloads/drops/1.4.0/] - ''in progress'' (requires Eclipse 3.4/3.5)
* [http://download.eclipse.org/tools/ve/downloads/drops/R-1.2.3_jem-200701301117/index.html 1.2.3_jem] - 30 Jan 2007
+
* [http://download.eclipse.org/tools/ve/downloads/drops/R-1.2.3_jem-200701301117/index.html 1.2.3_jem] - 30 Jan 2007 (requires Eclipse 3.2)
 
* [http://download.eclipse.org/tools/ve/downloads/drops/R-1.2.1-200609261748/index.html 1.2.1] - 26 Sep 2006
 
* [http://download.eclipse.org/tools/ve/downloads/drops/R-1.2.1-200609261748/index.html 1.2.1] - 26 Sep 2006
 
* [http://download.eclipse.org/tools/ve/downloads/drops/R-1.1.0.1-200509071822/index.html 1.1.0.1] - 7 Sep 2005
 
* [http://download.eclipse.org/tools/ve/downloads/drops/R-1.1.0.1-200509071822/index.html 1.1.0.1] - 7 Sep 2005

Revision as of 19:09, 22 April 2009

The Eclipse Visual Editor project is a platform for creating GUI builders within Eclipse. The project currently provides support for WYSIWYG editing of Swing/AWT and SWT/RCP user interfaces.

NOTE: Current official builds of the Visual Editor require Eclipse 3.2 (Callisto).

Supported Platforms

The Visual Editor is currently supported on the following platforms:

  • Win32 - Swing/AWT, SWT
  • Linux
    • GTK2/x86 - Swing/AWT, SWT
    • GTK2/x86_64 - Swing/AWT, SWT
    • GTK2/ppc - Swing/AWT, SWT
    • Motif - Swing/AWT
  • Mac OS X 10.4 - Swing, SWT

SWT development requires Java 1.4.2 or later.

Development Resources

Release History

See Also